### Method

# PapersView Job failed_from_error

#### Declaration [src]

    void
    pps_job_failed_from_error (
      PpsJob* job,
      GError* error
    )

#### Description [src]

Marks the specified job as failed and sets the error associated with the failure.

This function updates the job’s state to indicate it has failed, stores the error, and emits a finished signal. It does nothing if the job is already finished or marked as failed.

This method is renamed to `pps_job_failed()` in language bindings.

#### Parameters

`error`

  Type: `GError`

  A `GError` containing details about the failure.

  The data is owned by the caller of the method.